Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026572
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-05-16 12:422014-10-01 16:40
ReporterguillermogilView Statuspublic 
Assigned Toguillermogil 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q2.1
StatusclosedFix in branchFixed in SCM revision3e03b90c27d7
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-12-03
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/a60184d93ff1 [^]
Triggers an Emergency PackNo
Summary

0026572: Calls to web service are failing if the role used don't have permission to User window

DescriptionCalls to web service are failing if the role used don't have permission to User window
Steps To Reproduce* Create a role with access only to country window
* Create a User associated with that role
* Call to webservice with that User(e.g.- http://localhost:8080/openbravo/ws/dal/Country?maxResults=2 [^])
* Call again to the webservice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00251763.0PR14Q2 closedshankarb It's possible to access web services even if the maximum allowed calls is exceeded 

-  Notes
(0067244)
hgbot (developer)
2014-05-19 09:54

Repository: erp/devel/pi
Changeset: 3e03b90c27d7537381a897e6964daf82597525ea
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon May 19 09:53:59 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3e03b90c27d7537381a897e6964daf82597525ea [^]

Fixed issue 26572:Calls to webservice fails if user has no access to user

Added AdminMode to isLockedUser

---
M src/org/openbravo/base/secureApp/UserLock.java
---
(0067272)
hudsonbot (developer)
2014-05-19 17:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6303d9b2384d [^]
Maturity status: Test
(0067292)
alostale (developer)
2014-05-20 09:05

Code reviewed

Tested with a role having access only to Country window

- Issue History
Date Modified Username Field Change
2014-05-16 12:42 guillermogil New Issue
2014-05-16 12:42 guillermogil Assigned To => guillermogil
2014-05-16 12:42 guillermogil Web browser => Google Chrome
2014-05-16 12:42 guillermogil Modules => Core
2014-05-16 12:42 guillermogil Triggers an Emergency Pack => No
2014-05-16 13:37 guillermogil Relationship added depends on 0025176
2014-05-16 13:39 guillermogil Web browser Google Chrome => Google Chrome
2014-05-16 13:39 guillermogil Steps to Reproduce Updated View Revisions
2014-05-16 13:41 guillermogil Web browser Google Chrome => Google Chrome
2014-05-16 13:41 guillermogil Regression date => 2013-12-03
2014-05-16 13:41 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/a60184d93ff1 [^]
2014-05-19 09:02 guillermogil Web browser Google Chrome => Google Chrome
2014-05-19 09:02 guillermogil Summary Calls to web service are failing if the role used don't have permission to User window and the user is locked => Calls to web service are failing if the role used don't have permission to User window
2014-05-19 09:02 guillermogil Description Updated View Revisions
2014-05-19 09:02 guillermogil Steps to Reproduce Updated View Revisions
2014-05-19 09:51 guillermogil Issue Monitored: alostale
2014-05-19 09:51 guillermogil Review Assigned To => alostale
2014-05-19 09:51 guillermogil Web browser Google Chrome => Google Chrome
2014-05-19 09:54 hgbot Checkin
2014-05-19 09:54 hgbot Note Added: 0067244
2014-05-19 09:54 hgbot Status new => resolved
2014-05-19 09:54 hgbot Resolution open => fixed
2014-05-19 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3e03b90c27d7537381a897e6964daf82597525ea [^]
2014-05-19 17:38 hudsonbot Checkin
2014-05-19 17:38 hudsonbot Note Added: 0067272
2014-05-20 09:05 alostale Note Added: 0067292
2014-05-20 09:05 alostale Status resolved => closed
2014-05-20 09:05 alostale Fixed in Version => PR14Q2.1
2014-10-01 16:40 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:40 plujan Regression level => Production - QA Approved
2014-10-01 16:40 plujan Regression introduced in release => 3.0PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker